%define name grany
%define version 1.0.0
%define prefix %{_prefix}
%define release 5mdk
%define summary The cellular automaton simulator

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Physics
Source0: http://guillaume.cottenceau.free.fr/html/grany-resource/grany-1.0.0.tar.bz2
Patch0: grany-1.0.0-fix-compile.patch.bz2
URL: http://guillaume.cottenceau.free.fr/html/grany.html
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgtkmm-devel

%description
Grany is a cellular automaton simulator. With it you can conduct computerized
experiments on cellular environments with a full-featured GUI.

%prep
%setup -q
%patch0 -p0

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=X11 section=Applications/Sciences/Physics\
  title="Grany" command="%{_bindir}/grany" icon="grany.xpm" longtitle="%{summary}"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
cp icons/grany-icon-16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
cp icons/grany-icon-32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
cp icons/grany-icon-48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README FAQ AUTHORS docs/BASICS docs/CUSTOMIZATION
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_iconsdir}/*/*.xpm

%changelog
* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-5mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-4mdk
- fix obsolete-tag Copyright

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-3mdk
- rebuild

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-2mdk
- rebuild

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- first build

